Apache Tomcat 7.0.42

## org.apache.tomcat.util.modeler.modules
Class MbeansDescriptorsIntrospectionSource

    java.lang.Object
      org.apache.tomcat.util.modeler.modules.ModelerSource
          org.apache.tomcat.util.modeler.modules.MbeansDescriptorsIntrospectionSource

    public class MbeansDescriptorsIntrospectionSource

extends ModelerSource

Field Summary

Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource
`location, source`

Constructor Summary
`MbeansDescriptorsIntrospectionSource()`

Method Summary
`ManagedBean` `createManagedBean(Registry registry, String domain, Class<?> realClass, String type)` XXX Find if the 'className' is the name of the MBean or the real class ( I suppose first ) XXX Read (optional) descriptions from a .properties, generated from source XXX Deal with constructors
`void` `execute()`
`protected boolean` `isBeanCompatible(Class<?> javaType)` Check if this class conforms to JavaBeans specifications.
`List<ObjectName>` `loadDescriptors(Registry registry, String type, Object source)`
`void` `setLocation(String loc)` Deprecated. Unused. Will be removed in Tomcat 8.0.x
`void` `setRegistry(Registry reg)`
`void` `setSource(Object source)`
`void` `setType(String type)` Used if a single component is loaded

Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource
`getInputStream, loadDescriptors, store, updateField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MbeansDescriptorsIntrospectionSource

    public MbeansDescriptorsIntrospectionSource()

Method Detail

### setRegistry

    public void setRegistry(Registry reg)

### setLocation

    @Deprecated
    public void setLocation(String loc)

  Deprecated. Unused. Will be removed in Tomcat 8.0.x

### setType

    public void setType(String type)

  Used if a single component is loaded

  Parameters:
    `type` -

### setSource

    public void setSource(Object source)

### loadDescriptors

    public List<ObjectName> loadDescriptors(Registry registry,
                                            String type,
                                            Object source)
                                     throws Exception

  Specified by:
    `loadDescriptors` in class `ModelerSource`
  Throws:
    `Exception`

### execute

    public void execute()
                 throws Exception

  Throws:
    `Exception`

### isBeanCompatible

    protected boolean isBeanCompatible(Class<?> javaType)

  Check if this class conforms to JavaBeans specifications. If the class is conformant, returns true.

  Parameters:
    `javaType` - The class to check
  Returns:
    boolean True if the class is compatible.

### createManagedBean

    public ManagedBean createManagedBean(Registry registry,
                                         String domain,
                                         Class<?> realClass,
                                         String type)

  XXX Find if the 'className' is the name of the MBean or the real class ( I suppose first ) XXX Read (optional) descriptions from a .properties, generated from source XXX Deal with constructors

  Parameters:
    `registry` - The Bean registry (not used)
    `domain` - The bean domain (not used)
    `realClass` - The class to analyze
    `type` - The bean type
  Returns:
    ManagedBean The create MBean

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.